aboutsummaryrefslogtreecommitdiff
path: root/debian/prerm
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2022-02-15 22:49:00 -0500
committerB. Stack <bgstack15@gmail.com>2022-02-15 22:49:00 -0500
commitdf2fbdc9bd4387ee72d2b38df9abf0778175c2d4 (patch)
tree763dae2b1480e10e82427c476434802523474d27 /debian/prerm
parentsuppress useless stuff from auth (diff)
downloadstackbin-df2fbdc9bd4387ee72d2b38df9abf0778175c2d4.tar.gz
stackbin-df2fbdc9bd4387ee72d2b38df9abf0778175c2d4.tar.bz2
stackbin-df2fbdc9bd4387ee72d2b38df9abf0778175c2d4.zip
add initial debian package recipe
Diffstat (limited to 'debian/prerm')
-rw-r--r--debian/prerm33
1 files changed, 33 insertions, 0 deletions
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..8c70071
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,33 @@
+#!/bin/sh
+set -e
+OUT=/dev/null
+HOME=/var/stackbin
+SERVICE=stackbin
+
+case "$1" in
+ remove)
+ test -x /usr/sbin/invoke-rc.d && \
+ INIT="invoke-rc.d ${SERVICE}" || \
+ INIT="/etc/init.d/${SERVICE}"
+ ${INIT} stop
+ ;;
+
+ purge)
+ rm -f ${HOME}/${SERVICE}-wsgi.pid 1>${OUT} 2>&1 || :
+ ;;
+
+ upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
bgstack15